LedgerVerify ledger integrity
Ledger

Verify ledger integrity

Walks the hash chain and returns an integrity report.

curl -X GET "https://api.neostra.io/api/v1/ledger/verify" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "success": true,
  "message": "example_string",
  "data": {
    "valid": true,
    "totalEntries": 42,
    "brokenAt": 42
  }
}
GET
/api/v1/ledger/verify
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Responses

successboolean
messagestring
dataobject